<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- WARNING: Eclipse auto-generated file.
              Any modifications will be overwritten.
              To include a user specific buildfile here, simply create one in the same
              directory with the processing instruction <?eclipse.ant.import?>
              as the first entry and export the buildfile again. -->
<project basedir="." default="build" name="poi38jdk14ooxml">
    <property environment="env"/>
    <property name="poi38jdk14example.location" value="../poi38jdk14example"/>
    <property name="ECLIPSE_HOME" value="../../eclipse"/>
    <property name="poi38jdk14.location" value="../poi38jdk14"/>
    <property name="poi38jdk14scratchpad.location" value="../poi38jdk14scratchpad"/>
    <property name="debuglevel" value="source,lines,vars"/>
    <property name="target" value="1.2"/>
    <property name="source" value="1.3"/>
    <path id="poi38jdk14.classpath">
        <pathelement location="${poi38jdk14.location}/bin"/>
        <pathelement location="${poi38jdk14.location}/lib/commons-logging-1.1.jar"/>
        <pathelement location="${poi38jdk14.location}/lib/commons-codec-1.5.jar"/>
    </path>
    <path id="poi38jdk14scratchpad.classpath">
        <pathelement location="${poi38jdk14scratchpad.location}/bin"/>
        <path refid="poi38jdk14.classpath"/>
    </path>
    <path id="poi38jdk14ooxml.classpath">
        <pathelement location="bin"/>
        <pathelement location="lib/dom4j-1.6.1.jar"/>
        <pathelement location="lib/geronimo-stax-api_1.0_spec-1.0.jar"/>
        <pathelement location="lib/junit-3.8.1.jar"/>
        <pathelement location="lib/ooxml-schemas-1.0.jar"/>
        <pathelement location="lib/xml-apis.jar"/>
        <pathelement location="lib/xmlbeans-2.3.0.jar"/>
        <pathelement location="lib/xmlbeans-qname.jar"/>
        <path refid="poi38jdk14.classpath"/>
        <path refid="poi38jdk14scratchpad.classpath"/>
    </path>
    <target name="init">
        <mkdir dir="bin"/>
        <copy includeemptydirs="false" todir="bin">
            <fileset dir="src">
                <exclude name="**/*.launch"/>
                <exclude name="**/*.java"/>
            </fileset>
        </copy>
        <copy includeemptydirs="false" todir="bin">
            <fileset dir="resources">
                <exclude name="**/*.launch"/>
                <exclude name="**/*.java"/>
            </fileset>
        </copy>
    </target>
    <target name="clean">
        <delete dir="bin"/>
    </target>
    <target depends="clean" name="cleanall">
        <ant antfile="build.xml" dir="${poi38jdk14.location}" inheritAll="false" target="clean"/>
        <ant antfile="build.xml" dir="${poi38jdk14scratchpad.location}" inheritAll="false" target="clean"/>
    </target>
    <target depends="build-subprojects,build-project" name="build"/>
    <target name="build-subprojects">
        <ant antfile="build.xml" dir="${poi38jdk14.location}" inheritAll="false" target="build-project">
            <propertyset>
                <propertyref name="build.compiler"/>
            </propertyset>
        </ant>
        <ant antfile="build.xml" dir="${poi38jdk14scratchpad.location}" inheritAll="false" target="build-project">
            <propertyset>
                <propertyref name="build.compiler"/>
            </propertyset>
        </ant>
    </target>
    <target depends="init" name="build-project">
        <echo message="${ant.project.name}: ${ant.file}"/>
        <javac debug="true" debuglevel="${debuglevel}" destdir="bin" source="${source}" target="${target}">
            <src path="src"/>
            <classpath refid="poi38jdk14ooxml.classpath"/>
        </javac>
        <javac debug="true" debuglevel="${debuglevel}" destdir="bin" source="${source}" target="${target}">
            <src path="resources"/>
            <classpath refid="poi38jdk14ooxml.classpath"/>
        </javac>
    </target>
    <target description="Build all projects which reference this project. Useful to propagate changes." name="build-refprojects">
        <ant antfile="build.xml" dir="${poi38jdk14example.location}" inheritAll="false" target="clean"/>
        <ant antfile="build.xml" dir="${poi38jdk14example.location}" inheritAll="false" target="build">
            <propertyset>
                <propertyref name="build.compiler"/>
            </propertyset>
        </ant>
    </target>
    <target description="copy Eclipse compiler jars to ant lib directory" name="init-eclipse-compiler">
        <copy todir="${ant.library.dir}">
            <fileset dir="${ECLIPSE_HOME}/plugins" includes="org.eclipse.jdt.core_*.jar"/>
        </copy>
        <unzip dest="${ant.library.dir}">
            <patternset includes="jdtCompilerAdapter.jar"/>
            <fileset dir="${ECLIPSE_HOME}/plugins" includes="org.eclipse.jdt.core_*.jar"/>
        </unzip>
    </target>
    <target description="compile project with Eclipse compiler" name="build-eclipse-compiler">
        <property name="build.compiler" value="org.eclipse.jdt.core.JDTCompilerAdapter"/>
        <antcall target="build"/>
    </target>
</project>
